/*
* ==============================================================================
*  Name        : SWInstDefs.inl
*  Part of     : SW Installer UIs / SWInstCli
*  Description : This module contains implementation of common T-classes.
*  Version     : 1
*
*  Copyright  2002-2004 Nokia. All rights reserved.
*  This material, including documentation and any related 
*  computer programs, is protected by copyright controlled by 
*  Nokia. All rights are reserved. Copying, including 
*  reproducing, storing, adapting or translating, any 
*  or all of this material requires the prior written consent of 
*  Nokia. This material also contains confidential 
*  information which may not be disclosed to others without the 
*  prior written consent of Nokia.
* ==============================================================================
*/

// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// TInstallReq::TInstallReq
// C++ default constructor can NOT contain any code, that
// might leave.
// -----------------------------------------------------------------------------
//
inline TInstallReq::TInstallReq()
    : iCharsetId( 0 ),
	iIAP( 0 )
    {
    }

// -----------------------------------------------------------------------------
// TInstallOptions::TInstallOptions
// C++ default constructor can NOT contain any code, that
// might leave.
// -----------------------------------------------------------------------------
//
inline TInstallOptions::TInstallOptions()
    : iUpgrade( EPolicyAllowed ),
    iOptionalItems( EPolicyAllowed ),
    iOCSP( EPolicyAllowed ),    
    iIgnoreOCSPWarnings( EPolicyAllowed ),
    iUntrusted( EPolicyAllowed ), 
    iPackageInfo( EPolicyAllowed ),
    iCapabilities( EPolicyAllowed ),
    iKillApp( EPolicyAllowed ),
    iDownload( EPolicyAllowed ),
    iOverwrite( EPolicyAllowed ),
    iDrive( 'C' ),
    iLang( ELangNone ),
    iUsePhoneLang( ETrue ),
    iUpgradeData( EPolicyAllowed )
    {    
    }

// -----------------------------------------------------------------------------
// TUninstallOptions::TUninstallOptions
// C++ default constructor can NOT contain any code, that
// might leave.
// -----------------------------------------------------------------------------
//
inline TUninstallOptions::TUninstallOptions()
    : iKillApp( EPolicyAllowed ),
    iBreakDependency( EPolicyAllowed )
    {
    }

//  End of File  
